libzypp: zypp::url::SafeQuerystr Class Reference

libzypp 17.38.14

zypp::url::SafeQuerystr Class Reference

Hide passwords embedded in a querystr,. More...

## Public Member Functions
| SafeQuerystr ()
| SafeQuerystr (std::string rhs)
SafeQuerystr & | operator= (std::string rhs)
| operator const std::string & () const
const std::string & | str () const
const std::string & | str (const ViewOptions &viewopts_r) const
const std::string & | fullStr () const
const std::string & | safeStr () const

## Private Member Functions
void | _assign (std::string &&rhs)

## Private Attributes
std::string | _fullQuerytsr
std::optional< std::string > | _safeQuerytsr

## Detailed Description

Hide passwords embedded in a querystr,.

Stores the full querystring and maintains a safe version with password field stripped. Url::asString will print the passwords on demand only.

See also
  bsc#1050625: VUL-1: CVE-2017-9271: zypper: proxy credentials written to log files

Definition at line 122 of file UrlBase.cc.

## Constructor & Destructor Documentation

## ◆ SafeQuerystr() [1/2]

zypp::url::SafeQuerystr::SafeQuerystr | ( |  | ) |
| inline

Definition at line 125 of file UrlBase.cc.

## ◆ SafeQuerystr() [2/2]

zypp::url::SafeQuerystr::SafeQuerystr | ( | std::string | rhs | ) |
| inline

Definition at line 128 of file UrlBase.cc.

## Member Function Documentation

## ◆ operator=()

SafeQuerystr & zypp::url::SafeQuerystr::operator= | ( | std::string | rhs | ) |
| inline

Definition at line 131 of file UrlBase.cc.

## ◆ operator const std::string &()

zypp::url::SafeQuerystr::operator const std::string & | ( |  | ) | const
| inline

Definition at line 135 of file UrlBase.cc.

## ◆ str() [1/2]

const std::string & zypp::url::SafeQuerystr::str | ( |  | ) | const
| inline

Definition at line 138 of file UrlBase.cc.

## ◆ str() [2/2]

const std::string & zypp::url::SafeQuerystr::str | ( | const ViewOptions & | viewopts_r | ) | const
| inline

Definition at line 141 of file UrlBase.cc.

## ◆ fullStr()

const std::string & zypp::url::SafeQuerystr::fullStr | ( |  | ) | const
| inline

Definition at line 144 of file UrlBase.cc.

## ◆ safeStr()

const std::string & zypp::url::SafeQuerystr::safeStr | ( |  | ) | const
| inline

Definition at line 147 of file UrlBase.cc.

## ◆ _assign()

void zypp::url::SafeQuerystr::_assign | ( | std::string && | rhs | ) |
| inlineprivate

Definition at line 151 of file UrlBase.cc.

## Member Data Documentation

## ◆ _fullQuerytsr

std::string zypp::url::SafeQuerystr::_fullQuerytsr
| private

Definition at line 172 of file UrlBase.cc.

## ◆ _safeQuerytsr

std::optional<std::string> zypp::url::SafeQuerystr::_safeQuerytsr
| private

Definition at line 173 of file UrlBase.cc.

The documentation for this class was generated from the following file:

- zypp-core/url/UrlBase.cc